This API parameter allows you to filter results based on the integrationId or the integrationName (also referred to as 'app'). The integration name (app) is a custom name that you have set for your integration. When using the integration name (app), provide the name of the integration you want to filter for (e.g. 'shopify order sync' or 'magento product creation'). You can obtain the integration name (app) from the List Integrations endpoint under the 'app' parameter, or by checking your UI. Either integrationId or integrationName must be provided but it cannot be both.
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Alloy Docs","colors":{"primary":"#212bc4","light":"#6F8FFF","dark":"#212bc4"},"logo":{"light":"https://mintcdn.com/alloyautomation-245bf23e/1fP95ZzQOEgkHzUO/logo/light.png?fit=max\u0026auto=format\u0026n=1fP95ZzQOEgkHzUO\u0026q=85\u0026s=e51e7c4d8bd46e5c5745e689986a46a1","dark":"https://mintcdn.com/alloyautomation-245bf23e/1fP95ZzQOEgkHzUO/logo/dark.png?fit=max\u0026auto=format\u0026n=1fP95ZzQOEgkHzUO\u0026q=85\u0026s=99817244c361923d8971e7725f62c66a"},"favicon":"/favicon.svg","appearance":{"default":"light"},"background":{"decoration":"gradient"},"navbar":{"links":[{"label":"Contact Us","href":"https://runalloy.com/contact-us/"}],"primary":{"type":"button","label":"Book a Demo","href":"https://runalloy.com/book-demo/"}},"footer":{"socials":{"x":"https://x.com/AlloyAutomation","instagram":"https://www.instagram.com/alloyautomation/","facebook":"https://www.facebook.com/AlloyAutomation","linkedin":"https://www.linkedin.com/company/alloy-automation/"}},"fonts":{"heading":{"family":"Switzer Semibold","source":"https://mintlify-assets.b-cdn.net/fonts/Switzer-Semibold-fb98e5f6d340704470ee0c5ac006824d.woff2","format":"woff2"},"body":{"family":"Switzer Regular","source":"https://mintlify-assets.b-cdn.net/fonts/Switzer-Regular-2ab0f750fdf655eb71e125f0236ec4cc.woff2","format":"woff2"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"]},"navigation":{"global":{"anchors":[{"anchor":"Status","icon":"signal","href":"https://status.runalloy.com/"},{"anchor":"Blog","icon":"newspaper","href":"https://runalloy.com/blog/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"alloyautomation-245bf23e","hasAudioNarration":false,"actualSubdomain":"alloyautomation-245bf23e","customDomains":["docs.runalloy.com"],"gitSource":{"type":"github","owner":"alloy-automation","repo":"docs-nextgen","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"WEB_MCP":{"status":"DISABLED"},"NARRATION":{"status":"DISABLED"}},"buildId":"6ae93ebf8efb99bc76bb5a70:success","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"Connectors","count":181},{"language":"default","tag":"Guides ","count":177},{"language":"default","tag":"Third Party Apps","count":133},{"language":"default","tag":"Embedded iPaaS","count":126},{"language":"default","tag":"Guides","count":74},{"language":"default","tag":"API Reference","count":59},{"language":"default","tag":"Introduction","count":46},{"language":"default","tag":"Use Cases","count":37},{"language":"default","tag":"MCP Gateway","count":30},{"language":"default","tag":"Platform","count":26}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"reference/embedded/get-an-integration","slug":"/reference/embedded/get-an-integration","pageMetadata":{"openapi":"get /integrations/{integrationId}","title":"Retrieve a single integration","description":"Finds a specific integration for a user","href":"/reference/embedded/get-an-integration"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Finds a specific integration for a user\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /integrations/{integrationId}","title":"Retrieve a single integration","description":"Finds a specific integration for a user","href":"/reference/embedded/get-an-integration"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Retrieve a single integration","description":"Finds a specific integration for a user","operationId":"get-an-integration","parameters":["40132141-b622-47d3-9f99-21811996b2c7","cbaac585-655a-4c7b-8daf-7b4b87b1381c","4259ca17-65b3-4758-9e87-fc985b734de2","91b24807-c5fc-48b5-933d-40358480916c"],"x-code-samples":[{"lang":"cURL","source":"curl -X GET \"https://production.runalloy.com/integrations/{integrationId}?userId={{userId}}\" \\\n -H \"Authorization: bearer YOUR_API_KEY\" \\\n -H \"x-api-version: 2025-09\"\n"},{"lang":"Python","source":"import requests\n\nurl = \"https://production.runalloy.com/integrations/{integrationId}\"\nparams = {\"userId\": \"{{userId}}\"}\nheaders = {\n \"Authorization\": \"bearer YOUR_API_KEY\",\n \"x-api-version\": \"2025-09\"\n}\n\nresponse = requests.get(url, params=params, headers=headers)\nprint(response.json())\n"},{"lang":"JavaScript","source":"const userId = \"{{userId}}\";\nconst integrationId = \"{integrationId}\";\nconst url = `https://production.runalloy.com/integrations/${integrationId}?userId=${userId}`;\n\nfetch(url, {\n method: \"GET\",\n headers: {\n \"Authorization\": \"bearer YOUR_API_KEY\",\n \"x-api-version\": \"2025-09\"\n }\n})\n .then(response => response.json())\n .then(data => console.log(data))\n .catch(error => console.error(\"Error:\", error));\n"},{"lang":"PHP","source":"\u003c?php\n$userId = \"{{userId}}\";\n$integrationId = \"{integrationId}\";\n$url = \"https://production.runalloy.com/integrations/{$integrationId}?userId=\" . urlencode($userId);\n\n$ch = curl_init($url);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n \"Authorization: bearer YOUR_API_KEY\",\n \"x-api-version: 2025-09\"\n]);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n$data = json_decode($response, true);\nprint_r($data);\n?>\n"},{"lang":"Go","source":"package main\n\nimport (\n \"encoding/json\"\n \"fmt\"\n \"io\"\n \"net/http\"\n \"net/url\"\n)\n\nfunc main() {\n userId := \"{{userId}}\"\n integrationId := \"{integrationId}\"\n baseURL := \"https://production.runalloy.com/integrations/\" + integrationId\n params := url.Values{}\n params.Add(\"userId\", userId)\n fullURL := baseURL + \"?\" + params.Encode()\n\n req, _ := http.NewRequest(\"GET\", fullURL, nil)\n req.Header.Set(\"Authorization\", \"bearer YOUR_API_KEY\")\n req.Header.Set(\"x-api-version\", \"2025-09\")\n\n client := \u0026http.Client{}\n resp, _ := client.Do(req)\n defer resp.Body.Close()\n\n body, _ := io.ReadAll(resp.Body)\n var data map[string]interface{}\n json.Unmarshal(body, \u0026data)\n fmt.Println(data)\n}\n"},{"lang":"Java","source":"import java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.io.BufferedReader;\nimport java.io.InputStreamReader;\nimport com.google.gson.Gson;\nimport java.util.Map;\n\npublic class Example {\n public static void main(String[] args) throws Exception {\n String userId = \"{{userId}}\";\n String integrationId = \"{integrationId}\";\n String baseUrl = \"https://production.runalloy.com/integrations/\" + integrationId;\n String urlString = baseUrl + \"?userId=\" + java.net.URLEncoder.encode(userId, \"UTF-8\");\n \n URL url = new URL(urlString);\n HttpURLConnection conn = (HttpURLConnection) url.openConnection();\n conn.setRequestMethod(\"GET\");\n conn.setRequestProperty(\"Authorization\", \"bearer YOUR_API_KEY\");\n conn.setRequestProperty(\"x-api-version\", \"2025-09\");\n \n BufferedReader in = new BufferedReader(new InputStreamReader(conn.getInputStream()));\n String inputLine;\n StringBuilder response = new StringBuilder();\n while ((inputLine = in.readLine()) != null) {\n response.append(inputLine);\n }\n in.close();\n \n Gson gson = new Gson();\n Map\u003cString, Object> data = gson.fromJson(response.toString(), Map.class);\n System.out.println(data);\n }\n}\n"},{"lang":"Ruby","source":"require 'net/http'\nrequire 'json'\nrequire 'uri'\n\nuserId = \"{{userId}}\"\nintegrationId = \"{integrationId}\"\nbase_url = \"https://production.runalloy.com/integrations/#{integrationId}\"\nuri = URI(base_url)\nparams = { userId: userId }\nuri.query = URI.encode_www_form(params)\n\nhttp = Net::HTTP.new(uri.host, uri.port)\nhttp.use_ssl = true\n\nrequest = Net::HTTP::Get.new(uri)\nrequest['Authorization'] = 'bearer YOUR_API_KEY'\nrequest['x-api-version'] = '2025-09'\n\nresponse = http.request(request)\ndata = JSON.parse(response.body)\nputs data\n"}],"responses":{"200":"845c3934-011a-4009-963a-39ffc8bbfb5c","400":"efb0399b-4861-4d48-8db8-a96176afed0b"},"deprecated":false,"security":[],"method":"get","type":"path","servers":["86587967-264c-431e-b0ae-416e868d6121"],"path":"/integrations/{integrationId}","baseUrlOptions":["https://production.runalloy.com"],"title":"Retrieve a single integration","codeSamples":[{"lang":"cURL","source":"curl -X GET \"https://production.runalloy.com/integrations/{integrationId}?userId={{userId}}\" \\\n -H \"Authorization: bearer YOUR_API_KEY\" \\\n -H \"x-api-version: 2025-09\"\n"},{"lang":"Python","source":"import requests\n\nurl = \"https://production.runalloy.com/integrations/{integrationId}\"\nparams = {\"userId\": \"{{userId}}\"}\nheaders = {\n \"Authorization\": \"bearer YOUR_API_KEY\",\n \"x-api-version\": \"2025-09\"\n}\n\nresponse = requests.get(url, params=params, headers=headers)\nprint(response.json())\n"},{"lang":"JavaScript","source":"const userId = \"{{userId}}\";\nconst integrationId = \"{integrationId}\";\nconst url = `https://production.runalloy.com/integrations/${integrationId}?userId=${userId}`;\n\nfetch(url, {\n method: \"GET\",\n headers: {\n \"Authorization\": \"bearer YOUR_API_KEY\",\n \"x-api-version\": \"2025-09\"\n }\n})\n .then(response => response.json())\n .then(data => console.log(data))\n .catch(error => console.error(\"Error:\", error));\n"},{"lang":"PHP","source":"\u003c?php\n$userId = \"{{userId}}\";\n$integrationId = \"{integrationId}\";\n$url = \"https://production.runalloy.com/integrations/{$integrationId}?userId=\" . urlencode($userId);\n\n$ch = curl_init($url);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n \"Authorization: bearer YOUR_API_KEY\",\n \"x-api-version: 2025-09\"\n]);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n$data = json_decode($response, true);\nprint_r($data);\n?>\n"},{"lang":"Go","source":"package main\n\nimport (\n \"encoding/json\"\n \"fmt\"\n \"io\"\n \"net/http\"\n \"net/url\"\n)\n\nfunc main() {\n userId := \"{{userId}}\"\n integrationId := \"{integrationId}\"\n baseURL := \"https://production.runalloy.com/integrations/\" + integrationId\n params := url.Values{}\n params.Add(\"userId\", userId)\n fullURL := baseURL + \"?\" + params.Encode()\n\n req, _ := http.NewRequest(\"GET\", fullURL, nil)\n req.Header.Set(\"Authorization\", \"bearer YOUR_API_KEY\")\n req.Header.Set(\"x-api-version\", \"2025-09\")\n\n client := \u0026http.Client{}\n resp, _ := client.Do(req)\n defer resp.Body.Close()\n\n body, _ := io.ReadAll(resp.Body)\n var data map[string]interface{}\n json.Unmarshal(body, \u0026data)\n fmt.Println(data)\n}\n"},{"lang":"Java","source":"import java.net.HttpURLConnection;\nimport java.net.URL;\nimport java.io.BufferedReader;\nimport java.io.InputStreamReader;\nimport com.google.gson.Gson;\nimport java.util.Map;\n\npublic class Example {\n public static void main(String[] args) throws Exception {\n String userId = \"{{userId}}\";\n String integrationId = \"{integrationId}\";\n String baseUrl = \"https://production.runalloy.com/integrations/\" + integrationId;\n String urlString = baseUrl + \"?userId=\" + java.net.URLEncoder.encode(userId, \"UTF-8\");\n \n URL url = new URL(urlString);\n HttpURLConnection conn = (HttpURLConnection) url.openConnection();\n conn.setRequestMethod(\"GET\");\n conn.setRequestProperty(\"Authorization\", \"bearer YOUR_API_KEY\");\n conn.setRequestProperty(\"x-api-version\", \"2025-09\");\n \n BufferedReader in = new BufferedReader(new InputStreamReader(conn.getInputStream()));\n String inputLine;\n StringBuilder response = new StringBuilder();\n while ((inputLine = in.readLine()) != null) {\n response.append(inputLine);\n }\n in.close();\n \n Gson gson = new Gson();\n Map\u003cString, Object> data = gson.fromJson(response.toString(), Map.class);\n System.out.println(data);\n }\n}\n"},{"lang":"Ruby","source":"require 'net/http'\nrequire 'json'\nrequire 'uri'\n\nuserId = \"{{userId}}\"\nintegrationId = \"{integrationId}\"\nbase_url = \"https://production.runalloy.com/integrations/#{integrationId}\"\nuri = URI(base_url)\nparams = { userId: userId }\nuri.query = URI.encode_www_form(params)\n\nhttp = Net::HTTP.new(uri.host, uri.port)\nhttp.use_ssl = true\n\nrequest = Net::HTTP::Get.new(uri)\nrequest['Authorization'] = 'bearer YOUR_API_KEY'\nrequest['x-api-version'] = '2025-09'\n\nresponse = http.request(request)\ndata = JSON.parse(response.body)\nputs data\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"40132141-b622-47d3-9f99-21811996b2c7":{"name":"Authorization","in":"header","required":true,"schema":{"type":"string","default":"bearer YOUR_API_KEY","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"cbaac585-655a-4c7b-8daf-7b4b87b1381c":{"name":"x-api-version","in":"header","required":true,"description":"The version of the API to use. The current API version is **2025-09**.","schema":{"type":"string","default":"2025-09","isRequired":true,"description":"The version of the API to use. The current API version is **2025-09**.","uniqueKey":"","typeLabel":"string"}},"4259ca17-65b3-4758-9e87-fc985b734de2":{"name":"integrationId","in":"path","description":"This API parameter allows you to filter results based on the integrationId or the integrationName (also referred to as 'app'). The integration name (app) is a custom name that you have set for your integration. When using the integration name (app), provide the name of the integration you want to filter for (e.g. 'shopify order sync' or 'magento product creation'). You can obtain the integration name (app) from the List Integrations endpoint under the 'app' parameter, or by checking your UI. Either integrationId or integrationName must be provided but it cannot be both.","schema":{"type":"string","isRequired":true,"description":"This API parameter allows you to filter results based on the integrationId or the integrationName (also referred to as 'app'). The integration name (app) is a custom name that you have set for your integration. When using the integration name (app), provide the name of the integration you want to filter for (e.g. 'shopify order sync' or 'magento product creation'). You can obtain the integration name (app) from the List Integrations endpoint under the 'app' parameter, or by checking your UI. Either integrationId or integrationName must be provided but it cannot be both.","uniqueKey":"","typeLabel":"string"},"required":true},"91b24807-c5fc-48b5-933d-40358480916c":{"name":"userId","in":"query","description":"The Id used to identify the user. Note: you can also use the Embedded user's `username` in this field.","required":true,"schema":{"type":"string","isRequired":true,"description":"The Id used to identify the user. Note: you can also use the Embedded user's `username` in this field.","uniqueKey":"","typeLabel":"string"}}},"responses":{"845c3934-011a-4009-963a-39ffc8bbfb5c":{"description":"200","content":{"application/json":{"examples":{"Result":{"title":"Result","value":{"data":{"integrationId":"66326843cc9cdb107221f222","app":"Shopify","installed":false,"icon":"https://cdn.runalloy.com/icons/shopify.png","workflows":[{"workflowId":"66326849cc9cdb107221f342","name":"Untitled Workflow #346","installed":false,"active":false,"version":1,"connectors":[{"name":"On Installation Trigger","id":"4762a899-8f38-44d9-a091-f4b6eaba386e","connector":"onInstallationTrigger","icon":"https://cdn.runalloy.com/icons/OnIntegrationInstallation.svg","subtitle":"On Installation Trigger"},{"name":"Shopify","id":"0679a48c-e0f9-455a-91f2-48a739bac9d7","connector":"shopify","icon":"https://cdn.runalloy.com/icons/shopify.png","subtitle":"Gets a list of all Products"},{"name":"Shopify","id":"24ed5879-4aa9-4a2c-b8dc-afe6413c1ca7","connector":"shopify","icon":"https://cdn.runalloy.com/icons/shopify.png","subtitle":"Shopify"}]}],"credentials":["shopify"]}}}},"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"integrationId":{"type":"string","example":"63ea758e82c3074141968bb9","uniqueKey":"data.integrationId","typeLabel":"string"},"app":{"type":"string","example":"Magento","uniqueKey":"data.app","typeLabel":"string"},"installed":{"type":"boolean","example":false,"default":true,"uniqueKey":"data.installed","typeLabel":"boolean"},"icon":{"type":"string","example":"https://cdn.runalloy.com/icons/magento.png","uniqueKey":"data.icon","typeLabel":"string"},"workflows":{"type":"array","items":{"type":"object","properties":{"workflowId":{"type":"string","example":"63ea75a2fcf2e2c72e805ddc","uniqueKey":"data.workflows.items.[INDEX].workflowId","typeLabel":"string"},"name":{"type":"string","example":"Magento Order Sync","uniqueKey":"data.workflows.items.[INDEX].name","typeLabel":"string"},"installed":{"type":"boolean","example":true,"default":true,"uniqueKey":"data.workflows.items.[INDEX].installed","typeLabel":"boolean"},"version":{"type":"integer","example":1,"default":0,"uniqueKey":"data.workflows.items.[INDEX].version","typeLabel":"integer"},"installedVersion":{"type":"integer","example":1,"default":0,"uniqueKey":"data.workflows.items.[INDEX].installedVersion","typeLabel":"integer"},"active":{"type":"boolean","example":true,"default":true,"uniqueKey":"data.workflows.items.[INDEX].active","typeLabel":"boolean"},"blocks":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","example":"Custom Event","uniqueKey":"data.workflows.items.[INDEX].blocks.items.[INDEX].name","typeLabel":"string"},"id":{"type":"string","example":"bc9202b2-8e7e-47d4-9416-5ba6b319fa2a","uniqueKey":"data.workflows.items.[INDEX].blocks.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","example":"customEvent","uniqueKey":"data.workflows.items.[INDEX].blocks.items.[INDEX].type","typeLabel":"string"},"icon":{"type":"string","example":"https://cdn.runalloy.com/icons/app-event.svg","uniqueKey":"data.workflows.items.[INDEX].blocks.items.[INDEX].icon","typeLabel":"string"}},"uniqueKey":"data.workflows.items.[INDEX].blocks.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.workflows.items.[INDEX].blocks","typeLabel":"object[]"}},"uniqueKey":"data.workflows.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.workflows","typeLabel":"object[]"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"exampleType":"examples"},"efb0399b-4861-4d48-8db8-a96176afed0b":{"description":"400","content":{"application/json":{"examples":{"Result":{"title":"Result","value":"{}"}},"schema":{"type":"object","properties":{},"uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"exampleType":"examples"}},"security":{},"servers":{"86587967-264c-431e-b0ae-416e868d6121":{"url":"https://production.runalloy.com"}}},"originalFileLocation":"openapi/2025-09/embedded/embedded.yaml"},"subdomain":"alloyautomation-245bf23e","siteName":"Alloy Docs","title":"Retrieve a single integration - Alloy Docs","navMaps":{"firstHrefInVersion":{"2025-09":{"href":"/reference/embedded/get-an-integration","matchLevel":0}},"firstHrefInLanguage":{}},"originalFileLocation":"reference/embedded/get-an-integration.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Finds a specific integration for a user\">\u003cmeta data-mint-head name=\"application-name\" content=\"Alloy Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve a single integration - Alloy Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Finds a specific integration for a user\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Alloy Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.runalloy.com/reference/embedded/get-an-integration\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://alloyautomation-245bf23e.mintlify.site/_mintlify/api/og/v2?division=Integrations\u0026amp;title=Retrieve+a+single+integration\u0026amp;description=Finds+a+specific+integration+for+a+user\u0026amp;theme=193ee6f55b3d5a5fd92d1060\u0026amp;signature=2456c25b846ba4460f857329763d1860f1732736a0a6e4ea9296d8aeca37f4dc\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve a single integration - Alloy Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Finds a specific integration for a user\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://alloyautomation-245bf23e.mintlify.site/_mintlify/api/og/v2?division=Integrations\u0026amp;title=Retrieve+a+single+integration\u0026amp;description=Finds+a+specific+integration+for+a+user\u0026amp;theme=193ee6f55b3d5a5fd92d1060\u0026amp;signature=2456c25b846ba4460f857329763d1860f1732736a0a6e4ea9296d8aeca37f4dc\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/alloyautomation-245bf23e/i85-ypvA6ct56I4t/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Alloy Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#212bc4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.runalloy.com/reference/embedded/get-an-integration\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/embedded/get-an-integration.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.runalloy.com/#organization\",\"name\":\"Alloy Docs\",\"url\":\"https://docs.runalloy.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/alloyautomation-245bf23e/1fP95ZzQOEgkHzUO/logo/light.png?fit=max\u0026auto=format\u0026n=1fP95ZzQOEgkHzUO\u0026q=85\u0026s=e51e7c4d8bd46e5c5745e689986a46a1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.runalloy.com#website\",\"name\":\"Alloy Docs\",\"url\":\"https://docs.runalloy.com\",\"publisher\":{\"@id\":\"https://docs.runalloy.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.runalloy.com/reference/embedded/get-an-integration#webpage\",\"url\":\"https://docs.runalloy.com/reference/embedded/get-an-integration\",\"name\":\"Retrieve a single integration\",\"description\":\"Finds a specific integration for a user\",\"isPartOf\":{\"@id\":\"https://docs.runalloy.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.runalloy.com/reference/embedded/get-an-integration#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.runalloy.com/reference/embedded/get-an-integration#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Integrations\",\"item\":\"https://docs.runalloy.com/reference/embedded/list-integrations\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Retrieve a single integration\",\"item\":\"https://docs.runalloy.com/reference/embedded/get-an-integration\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.runalloy.com/reference/embedded/get-an-integration#apireference\",\"headline\":\"Retrieve a single integration\",\"name\":\"Retrieve a single integration\",\"description\":\"Finds a specific integration for a user\",\"url\":\"https://docs.runalloy.com/reference/embedded/get-an-integration\",\"mainEntityOfPage\":{\"@id\":\"https://docs.runalloy.com/reference/embedded/get-an-integration#webpage\"},\"publisher\":{\"@id\":\"https://docs.runalloy.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.runalloy.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Alloy Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Alloy Docs","nav":{"global":{"anchors":[{"anchor":"Status","icon":"signal","href":"https://status.runalloy.com/"},{"anchor":"Blog","icon":"newspaper","href":"https://runalloy.com/blog/"}]},"versions":[{"version":"2025-09","tabs":[{"tab":"Home","pages":[{"title":"Home","href":""}]},{"tab":"Platform","pages":[{"title":"Platform","href":"/platform"}]},{"tab":"Embedded iPaaS","dropdowns":[{"dropdown":"Guides","icon":"book-open-cover","pages":[{"group":"Introduction","pages":[{"title":"Welcome","href":"/embedded/platform/welcome"},{"title":"Quick Start","href":"/embedded/quick-start"},{"group":"Foundations","pages":[{"title":"Users","href":"/embedded/platform/initial-setup/users"},{"group":"Modal SDK","pages":[{"title":"Installation","href":"/embedded/modal/modal-sdk"},{"title":"Configuration","sidebarTitle":"Configuration","href":"/embedded/modal/advanced"}]}]},{"group":"Integration Basics","pages":[{"title":"Integration Structure","href":"/embedded/integration-structure"},{"title":"Authentication","href":"/embedded/authentication"},{"title":"Workflow Builder","href":"/embedded/workflow-builder"},{"title":"Managing Users","href":"/embedded/managing-users"},{"title":"Basic Debugging","href":"/embedded/basic-debugging"},{"title":"Postman Collection","href":"/embedded/postman-collection"}]},{"group":"Modal Customization","pages":[{"title":"Hosted Link","href":"/embedded/hosted-link"},{"title":"Styling the Modal","href":"/embedded/styling-the-modal"}]},{"group":"Workflow Building","pages":[{"title":"Custom Events","href":"/embedded/custom-events"},{"title":"Custom Action","href":"/embedded/custom-action"},{"title":"Field Types","href":"/embedded/field-types"},{"title":"Custom Field Types","href":"/embedded/custom-field-types"},{"title":"Field Mapping","href":"/embedded/variable-selector"},{"title":"Handling Output Data","href":"/embedded/handling-output-data"},{"title":"End User Configuration","href":"/embedded/end-user-configuration"},{"title":"Hide Connector from End Users","href":"/embedded/hide-connector-end-user"},{"title":"Calculating App Actions","href":"/embedded/calculating-app-actions"}]},{"group":"Use Cases","pages":[{"group":"Accounting \u0026 ERP","pages":[{"title":"Accounts Payable","href":"/embedded/use-cases/accounting-and-erps/accounts-payable"},{"title":"Accounts Receivable","href":"/embedded/use-cases/accounting-and-erps/accounts-receivable"},{"title":"Lending and Underwriting","href":"/embedded/use-cases/accounting-and-erps/underwriting"},{"title":"Cash Flow Analysis","href":"/embedded/use-cases/accounting-and-erps/cash-flow-analysis"},{"title":"Compliance Reporting","href":"/embedded/use-cases/accounting-and-erps/compliance-reporting"},{"title":"Tax Reporting","href":"/embedded/use-cases/accounting-and-erps/tax-reporting"},{"title":"Expense Management","href":"/embedded/use-cases/accounting-and-erps/expense-management"},{"title":"Balance Sheet Management","href":"/embedded/use-cases/accounting-and-erps/balance-sheet-management"}]},{"group":"Ecommerce","pages":[{"title":"Order Sync","href":"/embedded/use-cases/ecommerce/order-sync"},{"title":"Catalog Sync","href":"/embedded/use-cases/ecommerce/catalog-sync"},{"title":"Ecommerce Inventory Management","href":"/embedded/use-cases/ecommerce/ecommerce-inventory-management"}]},{"group":"Sales \u0026 CRM","pages":[{"title":"Real-Time Deal Notifications","href":"/embedded/use-cases/sales-and-crm/real-time-deal-notifications"},{"title":"Contact Sync","href":"/embedded/use-cases/sales-and-crm/contact-sync"},{"title":"Automated Lead Routing","href":"/embedded/use-cases/sales-and-crm/automated-lead-routing"},{"title":"Deal Enrichment","href":"/embedded/use-cases/sales-and-crm/deal-enrichment"}]},{"group":"Marketing","pages":[{"title":"Creating an Ad","href":"/embedded/use-cases/marketing/creating-an-ad"},{"title":"Adding Subscribers to Audiences","href":"/embedded/use-cases/marketing/adding-subscribers-to-audiences"},{"title":"Receiving Leads Data from Targeted Ads","href":"/embedded/use-cases/marketing/receiving-leads-data-from-targeted-ads"},{"title":"Trigger an Event Based of Ad Interaction and Conditions","href":"/embedded/use-cases/marketing/trigger-an-event-based-of-ad-interaction-and-conditions"},{"title":"Updating Subscriber Attributes","href":"/embedded/use-cases/marketing/updating-subscriber-attributes"},{"title":"Running a Synchronous Report","href":"/embedded/use-cases/marketing/running-a-synchronous-report"}]},{"group":"Payments","pages":[{"title":"Managing Disputes","href":"/embedded/use-cases/payments/managing-disputes"},{"title":"Cash Advance Management","href":"/embedded/use-cases/payments/cash-advance-management"},{"title":"Refunds","href":"/embedded/use-cases/payments/refund"},{"title":"Payouts","href":"/embedded/use-cases/payments/payouts"},{"title":"Subscriptions","href":"/embedded/use-cases/payments/subscriptions"}]}]}]},{"group":"Advanced Features","pages":[{"title":"Data Chunking","href":"/embedded/data-chunking"},{"title":"Handling Custom OAuth","href":"/embedded/handling-custom-oauth"},{"title":"Manual Webhook Registrations","href":"/embedded/manual-webhook-registrations"},{"title":"RSA Header Signature","href":"/embedded/rsa-header-signature"},{"title":"Dedicated Infrastructure","href":"/embedded/dedicated-infrastructure"},{"title":"Passthrough API","href":"/embedded/passthrough-api"},{"title":"Concurrency","href":"/embedded/concurrency"}]},{"group":"Headless","pages":[{"title":"Headless Mode","href":"/embedded/headless-mode"}]},{"group":"Tutorials","pages":[{"title":"Scheduled Sync: 3rd Party App to Your App","href":"/embedded/knowledge-articles/scheduled-sync-of-data-3rd-party-to-your-app"},{"title":"Onboarding ERP Customers with Alloys Installation Manager","href":"/embedded/knowledge-articles/onboarding-erp-customers-with-alloys-installation-manager"},{"title":"Building Integrations With Custom Event and Custom Action","href":"/embedded/knowledge-articles/building-integrations-with-custom-event-and-custom-action"},{"group":"Best Buy In-Store Pickup Shopify App","pages":[{"title":"App Installation","href":"/best-buy/app-installation"},{"title":"Best Buy Fulfillment App for Shopify","href":"/best-buy/introduction"},{"title":"Order Update Email Notification","href":"/best-buy/order-update-email-notification"},{"title":"Returns \u0026 Cancellations","href":"/best-buy/returns-cancellations"},{"title":"Shopper Experience","href":"/best-buy/shopper-experience"},{"group":"App Configuration Steps","pages":[{"title":"Step 1: Setup a Connection with Best Buy","href":"/best-buy/app-configuration/setup-connection"},{"title":"Step 2: Managing SKUs for Best Buy Pickup Eligibility","href":"/best-buy/app-configuration/managing-skus"},{"title":"Step 3: Configure Checkout in Settings","href":"/best-buy/app-configuration/setup-checkout"},{"title":"Step 4: Setup Best Buy Fulfillment and Order Routing","href":"/best-buy/app-configuration/setup-fulfillment"},{"title":"Step 5: Adding Best Buy In-Store Pickup Component to Your Storefront","href":"/best-buy/app-configuration/adding-pickup-component"}]}]}]},{"group":"Troubleshooting","pages":[{"group":"Monitor Integrations","pages":[{"title":"App Action Dashboard","href":"/embedded/app-action-dashboard"},{"title":"Installation Manager","href":"/embedded/installation-manager"},{"title":"Versioning System","href":"/embedded/versioning-system"},{"title":"Integration Installation Webhook","href":"/embedded/integration-installation-webhook"}]},{"group":"Logs \u0026 Troubleshooting","pages":[{"title":"Logs","href":"/embedded/handling-errors-logs"},{"title":"Audit Logs","href":"/embedded/audit-logs-in-embedded"},{"title":"Streaming Logs to Datadog","href":"/embedded/streaming-logs-to-datadog"}]}]}]},{"dropdown":"API Reference","icon":"code","pages":[{"group":"Authentication","pages":[{"openapi":"get /users/{userId}/token","title":"Generate JWT Token","sidebarTitle":"Generate JWT Token","href":"/reference/embedded/generate-jwt-token"}]},{"group":"Credentials","pages":[{"openapi":"openapi/2025-09/embedded/embedded.yaml get /credentials/users/{userId}","title":"Retrieve all credentials for a user","href":"/reference/embedded/list-user-credentials"},{"openapi":"delete /users/{userId}/credentials/{credentialId}","title":"Delete a Credential for a user","href":"/reference/embedded/delete-a-credential"}]},{"group":"Events","pages":[{"openapi":"get /events","title":"Retrieve a list of custom events","href":"/reference/embedded/list-events"},{"openapi":"post /run/event","title":"Trigger an event for a user","href":"/reference/embedded/run-event"}]},{"group":"Headless Installation","pages":[{"openapi":"post /headless/credentials","title":"Create Credential","href":"/reference/embedded/create-a-credential"},{"openapi":"get /headless/oauthUrl","title":"Create OAuth Link","href":"/reference/embedded/generate-oauth-link"},{"openapi":"post /headless/startInstallation","title":"Start Installation","href":"/reference/embedded/start-installation"},{"openapi":"post /headless/completeInstallation","title":"Complete Installation","href":"/reference/embedded/complete-installation"},{"openapi":"post /headless/editInstallation","title":"Edit Installation","href":"/reference/embedded/edit-installation"}]},{"group":"Integrations","pages":[{"openapi":"get /integrations","title":"Retrieve a list of all integrations","description":"Returns all the available integrations in your Alloy Embedded Account. Includes integrations/apps you've created an \"integration\" for, their workflows and statuses. If `installed` equals `true`, the `installedVersion` key will show the currently installed version.","href":"/reference/embedded/list-integrations"},{"openapi":"get /integrations/{integrationId}","title":"Retrieve a single integration","href":"/reference/embedded/get-an-integration"},{"title":"Generate Alloy Link","sidebarTitle":"Generate Alloy Link","openapi":"get /users/{userId}/integrations/{integrationId}/install-url","description":"This endpoint generates an alloy Link. For more details on Embedded Link, please [read](/embedded/alloy-link) this tutorial.","href":"/reference/embedded/generate-alloy-link"}]},{"group":"Installations","pages":[{"openapi":"get /integrations/all","title":"Get All Integrations","href":"/reference/embedded/get-all-integrations"},{"openapi":"get /installations/{installationId}","title":"Get Installation","href":"/reference/embedded/get-installation"},{"openapi":"put /installations/{installationId}/activate","title":"Activate Installation","href":"/reference/embedded/activate-installation"},{"openapi":"put /installations/{installationId}/deactivate","title":"Deactivate Installation","href":"/reference/embedded/deactivate-installation"},{"openapi":"put /installations/{installationId}/upgrade","title":"Upgrade Installation","href":"/reference/embedded/upgrade-installation"},{"openapi":"get /installations","title":"Get All Installations","href":"/reference/embedded/get-all-installations"},{"openapi":"delete /installations/{installationId}/","title":"Delete an Installation","href":"/reference/embedded/delete-installation"}]},{"group":"Passthrough","pages":[{"openapi":"post /passthrough","title":"Send passthrough request","href":"/reference/embedded/send-passthrough-request"}]},{"group":"Logs \u0026 Usage","pages":[{"openapi":"get /logs","title":"Retrieve logs for all workflows","href":"/reference/embedded/get-logs"},{"openapi":"get /logs/{id}","title":"Retrieve logs for a specific execution","href":"/reference/embedded/get-logs-by-id"},{"openapi":"get /workflows/{workflowId}/analytics","title":"Retrieve usage metrics for a workflow","href":"/reference/embedded/get-workflow-analytics"},{"openapi":"get /workflows/{workflowId}/logs","title":"Retrieve logs for a single workflow","href":"/reference/embedded/get-workflow-logs"},{"openapi":"get /workflows/{workflowId}/errors","title":"Retrieve all error logs for a workflow","href":"/reference/embedded/get-workflow-errors"},{"openapi":"post /workflows/{workflowId}/rerun/{executionId}","title":"Rerun a single workflow execution","href":"/reference/embedded/rerun-workflow"},{"openapi":"delete /users/{userId}/logs","title":"Delete all logs for a user","href":"/reference/embedded/delete-logs-for-a-user"}]},{"group":"Metadata","pages":[{"openapi":"get /metadata/credentials","title":"Retrieve all credential structures","href":"/reference/embedded/get-credential-metadata"},{"openapi":"get /metadata/apps","title":"Retrieve all supported apps","href":"/reference/embedded/list-apps"},{"openapi":"get /metadata/credentials/{credentialName}","title":"Retrieve credential structure for an app","href":"/reference/embedded/credential-medata-by-app"}]},{"group":"Users","pages":[{"openapi":"get /users","title":"Retrieve a list of all users","href":"/reference/embedded/list-all-users"},{"openapi":"get /users/{userId}","title":"Retrieve a single user","href":"/reference/embedded/get-a-user"},{"openapi":"get /workflows/{workflowId}/users","title":"List Users by workflowId","href":"/reference/embedded/list-users-by-workflowid"},{"openapi":"post /users/","title":"Create a user","href":"/reference/embedded/create-a-user"},{"openapi":"post /users/batch","title":"Create a new batch of users","href":"/reference/embedded/batch-create-users"},{"openapi":"put /users/{userId}","title":"Update a user","href":"/reference/embedded/update-a-user"},{"openapi":"delete /users/{userId}","title":"Delete a user","href":"/reference/embedded/delete-a-user"}]},{"group":"Workflows","pages":[{"openapi":"get /workflows/{workflowId}/versions","title":"Retrieve a list of workflow versions","href":"/reference/embedded/list-versions"},{"openapi":"get /workflows/{workflowId}","title":"Retrieve a single workflow","href":"/reference/embedded/find-a-workflow"},{"openapi":"get /workflows","title":"Retrieve a list of workflows","href":"/reference/embedded/list-workflows"},{"openapi":"put /users/{userId}/deactivate-workflows","title":"Deactivate workflows for a user","href":"/reference/embedded/disable-all-workflows-for-a-user"},{"openapi":"put /workflows/activate","title":"Activate workflow for a user","href":"/reference/embedded/activate-a-workflow"},{"openapi":"put /workflows/deactivate","title":"Deactivate a workflow","href":"/reference/embedded/deactivate-a-workflow"},{"openapi":"put /workflows/{workflowId}/upgrade","title":"Upgrade a workflow","href":"/reference/embedded/upgrade-workflow"},{"openapi":"delete /workflows/{workflowId}","title":"Delete a workflow","href":"/reference/embedded/delete-workflow"},{"openapi":"post /run/workflow","title":"Run Workflow","href":"/reference/embedded/run-workflow"},{"openapi":"post /workflows/install","title":"Install workflows","href":"/reference/embedded/install-workflows"}]},{"group":"App Actions Usage","pages":[{"openapi":"get /analytics/usage","title":"Get Analytics Usage","href":"/reference/embedded/get-app-actions-usage"},{"openapi":"get /analytics/detail-usage-time","title":"Get Analytics Detailed Usage Time","href":"/reference/embedded/get-detail-usage-time"},{"openapi":"get /analytics/detail-usage-integration","title":"Get Analytics Detailed Usage By Integration","href":"/reference/embedded/get-detail-usage-integration"},{"openapi":"get /analytics/detail-usage-user","title":"Get Analytics Detailed Usage By User","href":"/reference/embedded/get-detail-usage-user"}]}]}]},{"tab":"Connectivity API","dropdowns":[{"dropdown":"Guides ","icon":"book-open-cover","pages":[{"group":"Getting Started","pages":[{"title":"Connectivity API Introduction","sidebarTitle":"Overview","href":"/connectivity-api/introduction"},{"title":"Connectivity API Quick Start","sidebarTitle":"Quick Start Guide","href":"/connectivity-api/quick-start"},{"title":"Authentication","href":"/connectivity-api/authentication"},{"title":"Auth Config","href":"/connectivity-api/auth-config"},{"title":"Users","href":"/connectivity-api/users"},{"title":"Credentials","href":"/connectivity-api/credentials"},{"title":"File Management","href":"/connectivity-api/files"},{"title":"Pagination","href":"/connectivity-api/pagination"}]}]},{"dropdown":"API Reference ","icon":"code","pages":[{"title":"Connectivity API","sidebarTitle":"Introduction","href":"/reference/connectivity-api/connectivity-api"},{"group":"Connectors","pages":[{"openapi":"get /connectors","title":"Get Connectors","href":"/reference/connectivity-api/get-connectors"},{"openapi":"get /connectors/{connectorId}/resources","title":"Get Connector Resources","href":"/reference/connectivity-api/get-connector-resources"},{"openapi":"get /connectors/{connectorId}/actions/{actionId}","title":"Get Connector Action Details","href":"/reference/connectivity-api/get-connector-action-details"},{"openapi":"post /connectors/{connectorId}/actions/{actionId}/execute","title":"Execute Connector Action","href":"/reference/connectivity-api/execute-connector-action"}]},{"group":"Credentials","pages":[{"openapi":"get /connectors/{connectorId}/credentials/metadata","title":"Get Connector Credentials Metadata","href":"/reference/connectivity-api/get-connector-credentials-metadata"},{"openapi":"post /connectors/{connectorId}/credentials","title":"Create a Credential for a Connector","href":"/reference/connectivity-api/create-connector-credential"},{"openapi":"get /connectors/{connectorId}/credentials","title":"Get Connector Credentials","href":"/reference/connectivity-api/get-connector-credentials"},{"openapi":"get /connectors/credentials/all","title":"Get All Credentials","href":"/reference/connectivity-api/get-all-credentials"}]},{"group":"Files","pages":[{"openapi":"post /connectors/files/upload/request","title":"Generate Presigned Upload URL","href":"/reference/connectivity-api/generate-presigned-upload-url"},{"openapi":"get /connectors/files/list","title":"List User Files","href":"/reference/connectivity-api/list-user-files"},{"openapi":"delete /connectors/files/{s3Key}","title":"Delete User File","href":"/reference/connectivity-api/delete-user-file"}]},{"group":"Users","pages":[{"openapi":"get /users","sidebarTitle":"Retrieve a list of all users","title":"Retrieve a list of all users","href":"/reference/connectivity-api/list-all-users"},{"openapi":"post /users","sidebarTitle":"Create a user","title":"Create a user","href":"/reference/connectivity-api/create-a-user"},{"openapi":"put /users/{userId}","sidebarTitle":"Update a user","title":"Update a user","href":"/reference/connectivity-api/update-a-user"},{"openapi":"get /users/{userId}","sidebarTitle":"Retrieve a single user","title":"Retrieve a single user","href":"/reference/connectivity-api/get-a-user"},{"openapi":"delete /users/{userId}","title":"Delete a user","href":"/reference/connectivity-api/delete-a-user"}]}]}]},{"tab":"MCP Gateway","dropdowns":[{"dropdown":"Guides ","icon":"book-open-cover","pages":[{"group":"Get Started","pages":[{"title":"Introduction to MCP \u0026 the Alloy MCP Server","sidebarTitle":"Introduction","href":"/mcp/platform/introduction"},{"title":"5-Minute Quickstart Tutorial","sidebarTitle":"Quickstart","href":"/mcp/getting-started/quickstart"}]},{"group":"Core Concepts","pages":[{"title":"Working with Connectors","sidebarTitle":"Connectors \u0026 Tools","href":"/mcp/core-concepts/connectors-tools"},{"title":"Restrictions Guide","sidebarTitle":"Restrictions","href":"/mcp/core-concepts/restrictions-guide"},{"title":"User Management","sidebarTitle":"User Management","href":"/mcp/core-concepts/user-management"},{"title":"Additional Information","sidebarTitle":"Additional Information","href":"/mcp/core-concepts/customization-advanced-features"}]},{"group":"API Reference","pages":[{"title":"API Reference","sidebarTitle":"API Endpoints Overview","href":"/mcp/api-reference/api-endpoints-overview"},{"title":"Authentication","sidebarTitle":"Authentication","href":"/mcp/api-reference/authentication"},{"title":"Server Management API","sidebarTitle":"Server Management","href":"/mcp/api-reference/server-management"},{"title":"MCP Protocol API","sidebarTitle":"MCP Protocol","href":"/mcp/api-reference/mcp-protocol"},{"title":"Available MCP Tools","sidebarTitle":"Available Tools","href":"/mcp/api-reference/available-tools"},{"title":"Response Handling","href":"/mcp/api-reference/response-handling"},{"title":"Input Validation","href":"/mcp/api-reference/input-validation"}]},{"group":"AI Integrations","pages":[{"title":"AI Integrations","sidebarTitle":"Overview","href":"/mcp/integrations/overview"},{"group":"Vercel AI SDK","pages":[{"title":"Vercel AI SDK Integration","sidebarTitle":"Overview","href":"/mcp/integrations/vercel-ai-sdk/overview"}]},{"group":"LangChain","pages":[{"title":"LangChain Integration","sidebarTitle":"Overview","href":"/mcp/integrations/langchain/overview"}]},{"group":"Claude Desktop","pages":[{"title":"Claude Desktop Setup","sidebarTitle":"Overview","href":"/mcp/integrations/claude-desktop/quickstart"}]},{"group":"Claude API","pages":[{"title":"Claude API Integration","sidebarTitle":"Overview","href":"/mcp/integrations/claude-api/overview"}]},{"group":"Cursor IDE","pages":[{"title":"Cursor IDE Setup","sidebarTitle":"Overview","href":"/mcp/integrations/cursor/quickstart"}]}]},{"group":"Security","pages":[{"title":"Authentication \u0026 Security","sidebarTitle":"Authentication \u0026 Security","href":"/mcp/security/authentication-security"}]},{"group":"Troubleshooting","pages":[{"title":"Troubleshooting","sidebarTitle":"Overview","href":"/mcp/troubleshooting/faq-common-issues"}]}]},{"dropdown":"API Reference ","icon":"code","pages":[{"title":"MCP Server API","sidebarTitle":"Introduction","href":"/reference/mcp/mcp-server-api"},{"group":"Server Management","pages":[{"openapi":"post /api/servers","title":"Create a new MCP server","href":"/reference/mcp/create-server"},{"openapi":"get /api/servers","title":"List all servers","href":"/reference/mcp/list-servers"},{"openapi":"get /api/servers/{serverId}","title":"Get server details","href":"/reference/mcp/get-server"},{"openapi":"put /api/servers/{serverId}","title":"Update server configuration","href":"/reference/mcp/update-server"},{"openapi":"delete /api/servers/{serverId}","title":"Delete server","href":"/reference/mcp/delete-server"}]},{"group":"MCP Protocol","pages":[{"openapi":"post /mcp/{serverId}/{accessToken}","title":"Execute MCP request (Token URL)","href":"/reference/mcp/execute-mcp-token"},{"openapi":"post /mcp/{serverId}","title":"Execute MCP request (API Key)","href":"/reference/mcp/execute-mcp-api"}]},{"group":"Health","pages":[{"openapi":"get /health","title":"Health check","href":"/reference/mcp/health-check"}]}]}]},{"tab":"Connectors","dropdowns":[{"dropdown":"Guides ","icon":"book-open-cover","pages":[{"group":"Custom Connector","pages":[{"group":"Custom Connector","pages":[{"title":"Custom Connector Overview","href":"/connectors/utility/CustomConnector"},{"title":"Third Party Sandbox Authentication","href":"/embedded/third-party-sandbox-authentication"},{"title":"OAuth 2.0","href":"/embedded/custom-connector/oauth-2.0"},{"title":"Basic Authentication","href":"/embedded/custom-connector/basic-authentication"},{"title":"Bearer Token Authentication","href":"/embedded/custom-connector/bearer-token-authentication"},{"title":"API Key Authentication","href":"/embedded/custom-connector/api-key-authentication"},{"title":"Custom Action","href":"/embedded/custom-action"}]}]},{"group":"Data Streaming","pages":[{"title":"Data Streaming","href":"/connectors/utility/data-streaming"}]},{"title":"Custom Events","href":"/embedded/custom-events"},{"group":"Data Destinations","pages":[{"title":"Destinations Glossary","sidebarTitle":"Overview","href":"/embedded/destinations"},{"group":"Destinations","pages":[{"title":"AWS EventBridge","href":"/embedded/aws-eventbridge"},{"title":"AWS Lambda","href":"/embedded/aws-lambda"},{"title":"AWS RedShift","href":"/embedded/aws-redshift"},{"title":"DynamoDB","href":"/embedded/dynamodb"},{"title":"Google BigQuery","href":"/embedded/google-bigquery"},{"title":"Google Cloud Storage","href":"/embedded/google-cloud-storage"},{"title":"Google PubSub","href":"/embedded/google-pubsub"},{"title":"Snowflake","href":"/embedded/snowflake"}]}]},{"group":"Special Utitlity Connectors","pages":[{"title":"Custom Code","href":"/embedded/special-blocks/custom-code"}]},{"title":"Custom API Calls","href":"/embedded/custom-api-calls"},{"group":"Third Party Apps","pages":[{"title":"Acuity Scheduling","href":"/connectors/AcuityScheduling"},{"title":"AfterShip","href":"/connectors/aftership"},{"title":"Aircall","href":"/connectors/Aircall"},{"title":"Airtable","href":"/connectors/Airtable"},{"title":"Amazon Seller Central","href":"/connectors/AmazonSellerCentral"},{"title":"Asana","href":"/connectors/Asana"},{"title":"Attentive","href":"/connectors/attentive"},{"title":"Avalara","href":"/connectors/Avalara"},{"title":"Awtomic","href":"/connectors/Awtomic"},{"title":"BambooHR","href":"/connectors/bamboohr"},{"title":"BigCommerce","href":"/connectors/bigcommerce"},{"title":"Brightpearl","href":"/connectors/brightpearl"},{"title":"Builder.io","href":"/connectors/builder-io"},{"title":"Calendly","href":"/connectors/Calendly"},{"title":"Commerce.js","href":"/connectors/commerce-js"},{"title":"Copper","href":"/connectors/Copper"},{"title":"Customer IO","href":"/connectors/CustomerIO"},{"title":"Delighted","href":"/connectors/Delighted"},{"title":"Dropbox","href":"/connectors/Dropbox"},{"title":"Easypost","href":"/connectors/Easypost"},{"title":"EasyShip","href":"/connectors/EasyShip"},{"title":"Eventbrite","href":"/connectors/Eventbrite"},{"title":"Faire","href":"/connectors/Faire"},{"title":"Fairing","href":"/connectors/Fairing"},{"title":"FedEx","href":"/connectors/FedEx"},{"title":"Flock","href":"/connectors/Flock"},{"title":"FreshBooks","href":"/connectors/freshbooks"},{"title":"Freshdesk","href":"/connectors/Freshdesk"},{"title":"Gladly","href":"/connectors/Gladly"},{"title":"Gmail","href":"/connectors/Gmail"},{"title":"Google Ads","href":"/connectors/GoogleAds"},{"title":"Google Calendar","href":"/connectors/GoogleCalendar"},{"title":"Google Docs","href":"/connectors/GoogleDocs"},{"title":"Google Drive","href":"/connectors/GoogleDrive"},{"title":"Google Sheets","href":"/connectors/GoogleSheets"},{"title":"Google Workspace Admin","href":"/connectors/GoogleWorkspaceAdmin"},{"title":"Gorgias","href":"/connectors/gorgias"},{"title":"Grin","href":"/connectors/Grin"},{"title":"Heap","href":"/connectors/Heap"},{"title":"HubSpot","href":"/connectors/HubSpot"},{"title":"Hunter","href":"/connectors/Hunter"},{"title":"IBM Sterling OMS","href":"/connectors/IBMSterlingOMS"},{"title":"Intercom","href":"/connectors/Intercom"},{"title":"Inveterate","href":"/connectors/Inveterate"},{"title":"Jira","href":"/connectors/Jira"},{"title":"Junip","href":"/connectors/Junip"},{"title":"Klaviyo","href":"/connectors/Klaviyo"},{"title":"Kustomer","href":"/connectors/Kustomer"},{"title":"Lightspeed","href":"/connectors/Lightspeed"},{"title":"Linear","href":"/connectors/Linear"},{"title":"LineTen","href":"/connectors/LineTen"},{"title":"LinkedIn","href":"/connectors/LinkedIn"},{"title":"Lob","href":"/connectors/Lob"},{"title":"Loop Returns","href":"/connectors/LoopReturns"},{"title":"LoyaltyLion","href":"/connectors/LoyaltyLion"},{"title":"Magento","href":"/connectors/magneto"},{"title":"Mailchimp","href":"/connectors/Mailchimp"},{"title":"Mailgun","href":"/connectors/Mailgun"},{"title":"Mercado Libre","href":"/connectors/MercadoLibre"},{"title":"Meta Ads","href":"/connectors/MetaAds"},{"title":"Microsoft Dynamics Customer Service","href":"/connectors/MicrosoftCRM"},{"title":"Microsoft Dynamics Business Central","href":"/connectors/MicrosoftDynamicsBusinessCentral"},{"title":"Microsoft Excel","href":"/connectors/MicrosoftExcel"},{"title":"Microsoft SharePoint","href":"/connectors/MicrosoftSharepoint"},{"title":"Microsoft Teams","href":"/connectors/MicrosoftTeams"},{"title":"Mintsoft","href":"/connectors/Mintsoft"},{"title":"Monday","href":"/connectors/Monday"},{"title":"NetSuite","href":"/connectors/netsuite"},{"title":"Notion","href":"/connectors/Notion"},{"title":"Octane AI","href":"/connectors/OctaneAI"},{"title":"Omnisend","href":"/connectors/omnisend"},{"title":"Patch","href":"/connectors/Patch"},{"title":"Paylocity","href":"/connectors/Paylocity"},{"title":"People Data Labs","href":"/connectors/PeopleDataLabs"},{"title":"Picqer","href":"/connectors/Picqer"},{"title":"Pipedrive","href":"/connectors/Pipedrive"},{"title":"Plobal","href":"/connectors/Plobal"},{"title":"Postscript","href":"/connectors/postscript"},{"title":"Printful","href":"/connectors/Printful"},{"title":"PushOwl","href":"/connectors/pushowl"},{"title":"QuickBooks","href":"/connectors/QuickBooks"},{"title":"Ramp","href":"/connectors/Ramp"},{"title":"Rebuy","href":"/connectors/rebuy"},{"title":"ReCharge","href":"/connectors/recharge"},{"title":"Recruiterflow","href":"/connectors/Recruiterflow"},{"title":"Retention Science","href":"/connectors/RetentionScience"},{"title":"Retently","href":"/connectors/Retently"},{"title":"Reviews.io","href":"/connectors/ReviewsIO"},{"title":"Rithum","href":"/connectors/Rithum"},{"title":"Sage Business Cloud Accounting","href":"/connectors/SageBusinessCloudAccounting"},{"title":"Salesforce CRM","href":"/connectors/SalesforceCRM"},{"title":"SAP ECC","href":"/connectors/SAPECC"},{"title":"SAP S/4HANA","href":"/connectors/SAPS4HANA"},{"title":"Segment","href":"/connectors/Segment"},{"title":"ServiceNow","href":"/connectors/ServiceNow"},{"title":"Shipbob","href":"/connectors/shipbob"},{"title":"Shippo","href":"/connectors/shippo"},{"title":"ShippyPro","href":"/connectors/ShippyPro"},{"title":"ShipStation","href":"/connectors/ShipStation"},{"title":"Shopify","href":"/connectors/shopify"},{"title":"Skubana","href":"/connectors/skubana"},{"title":"Slack","href":"/connectors/Slack"},{"title":"Smartrr","href":"/connectors/Smartrr"},{"title":"Smile.io","href":"/connectors/SmileIO"},{"title":"SMSBump","href":"/connectors/smsbump"},{"title":"Square POS","href":"/connectors/SquarePOS"},{"title":"Squarespace","href":"/connectors/Squarespace"},{"title":"Stamped.io","href":"/connectors/StampedIO"},{"title":"Stripe","href":"/connectors/Stripe"},{"title":"SurveyMonkey","href":"/connectors/SurveyMonkey"},{"title":"Swell","href":"/connectors/Swell"},{"title":"TikTok","href":"/connectors/TikTok"},{"title":"TikTok Ads","href":"/connectors/TikTokAds"},{"title":"TikTok Shop","href":"/connectors/TikTokShop"},{"title":"Tone","href":"/connectors/tone"},{"title":"Trello","href":"/connectors/Trello"},{"title":"Twilio","href":"/connectors/Twilio"},{"title":"Typeform","href":"/connectors/Typeform"},{"title":"UpLead","href":"/connectors/UpLead"},{"title":"UPS","href":"/connectors/UPS"},{"title":"Upscribe","href":"/connectors/upscribe"},{"title":"Walmart Marketplace","href":"/connectors/Walmart"},{"title":"Webflow","href":"/connectors/webflow"},{"title":"Wix","href":"/connectors/Wix"},{"title":"Wonderment","href":"/connectors/Wonderment"},{"title":"WooCommerce","href":"/connectors/woocommerce"},{"title":"Workable","href":"/connectors/Workable"},{"title":"Workday","href":"/connectors/Workday"},{"title":"Xero","href":"/connectors/Xero"},{"title":"Yotpo Loyalty","href":"/connectors/YotpoLoyalty"},{"title":"Zendesk","href":"/connectors/zendesk"},{"title":"Zoho Books","href":"/connectors/ZohoBooks"},{"title":"Zoho CRM","href":"/connectors/ZohoCRM"}]},{"group":"Logic Library","pages":[{"title":"Logic Library","sidebarTitle":"Overview","href":"/embedded/logic-library"},{"title":"Error Handler","href":"/embedded/error-handler"},{"title":"Branch","href":"/embedded/branch"},{"title":"If-Else","href":"/embedded/if-else"},{"title":"Iterate","href":"/embedded/iterate"}]},{"group":"Utility Library","pages":[{"title":"Utility Connectors","href":"/connectors/utility/utility-overview"},{"group":"Supported Utilities","pages":[{"title":"AES-256 Decryption","href":"/embedded/aes-256-decryption"},{"title":"AES-256 Encryption","href":"/embedded/aes-256-encryption"},{"title":"Concatenate Objects","href":"/embedded/concatenate-objects"},{"title":"Dedupe","href":"/embedded/dedupe-block"},{"title":"File Converter","href":"/embedded/file-converter"},{"title":"Format Data","href":"/embedded/format-date-block"},{"title":"JSON Validator","href":"/embedded/json-validator"},{"title":"JSON Web Token","href":"/embedded/json-web-token"},{"title":"List Operation","href":"/embedded/list-operation"},{"title":"Mapper","href":"/embedded/mapper"},{"title":"On Installation Trigger","href":"/embedded/on-installation-trigger"},{"title":"Remove From The List","href":"/embedded/remove-from-the-list"},{"title":"SHA-256","href":"/embedded/sha-256"},{"title":"SMTP","href":"/embedded/smtp-block"},{"title":"Text Formatter","href":"/embedded/text-formatter"},{"title":"Trigger Another Workflow","href":"/embedded/trigger-another-workflow"},{"title":"URL Shortener","href":"/embedded/url-shortener"},{"title":"Variables in Embedded","href":"/embedded/variable-blocks"}]}]}]}]},{"tab":"Use Cases","pages":[{"title":"Use Cases","href":"/blueprints/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]}]}]},"basePath":"","title":"Retrieve a single integration - Alloy Docs","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","Page-Dr40SSJq.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js","Markdown-D_k0dg6k.js","clsx-DK3K4Z1S.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DE3EVdvd.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-fN9H9n9g.js"]}